Summary:	Nagios Notify Script
Summary(pl.UTF-8):	Skrypt powiadamiający dla Nagiosa
Name:		nagios-notify
Version:	0.14
Release:	1
License:	GPL v2
Group:		Applications
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	47c06d14e2944f222fe08298a62ef607
URL:		http://glen.alkohol.ee/nagios-notify/
Requires:	awk
Requires:	nagios-common
# notify via emails
Suggests:	/usr/lib/sendmail
# notify via jabber
Suggests:	nagios-alert-jabber
# notify to eggdrop bot (irc)
Suggests:	t0xirc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios
%define		_sbindir	/usr/lib/nagios

%description
nagios-notify is template based notify script for Nagios.

You should use this script because:
- the templates are easily edited in text editor
- you won't be worried about if the command definition contains shell
  syntax errors (which Nagios happily discards without any trace in logs
  :/)
- you can change templates without restarting Nagios
- with advanced templates you can send richtext (even images!) over
  jabber if you use nagios-notify-jabber
- minimal dependency (just coreutils and awk that you most likely
  already have installed)

%description -l pl.UTF-8
nagios-notify to oparty na szablonach skrypt powiadamiający dla
Nagiosa.

Powody, dla których dobrze jest używać tego skryptu:
- szablony można łatwo modyfikować w edytorze tekstu,
- nie trzeba się zbytnio martwić jeśli definicje poleceń zawierają
  błędy składni powłoki (które Nagios ucina bez żadnego śladu w logach)
- można zmieniać szablony bez restartu Nagiosa
- przy użyciu zaawansowanych szablonów można wysyłać tekst wzbogacony
  (nawet z obrazkami) przez jabbera w przypadku używania pakietu
  nagios-notify-jabber
- minimalne zależności (tylko coreutils i awk, które zwykle i tak są
  zainstalowane)

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 0.10
%{__sed} -i -e 's,/usr/sbin/%{name},%{_sbindir}/%{name},' %{_sysconfdir}/plugins/%{name}.cfg
if [ -f /etc/rc.d/init.d/nagios ]; then
	%service -q nagios reload
fi

%triggerpostun -- %{name} < 0.12-0.7
# recover renamed configs
for a in %{_sysconfdir}/templates/*.rpmsave; do
	[ -f $a ] || continue
	f=${a%%.rpmsave}
	[ -f $f ] && cp -f $f{,.rpmnew}
	mv -f $f{.rpmsave,}
done
# copy from new files if originals weren't modified but removed by upgrade
for a in eggdrop jabber sms; do
	o=%{_sysconfdir}/templates/host-notify-by-$a.tmpl
	f=%{_sysconfdir}/templates/notify-host-by-$a.tmpl
	if [ ! -f $o ]; then
		cp -a $f $o
	fi
done
for a in eggdrop email jabber-embedimage jabber-richtext jabber sms; do
	o=%{_sysconfdir}/templates/notify-by-$a.tmpl
	f=%{_sysconfdir}/templates/notify-service-by-$a.tmpl
	if [ ! -f $o ]; then
		cp -a $f $o
	fi
done
%banner -e %{name}-0.12 <<'EOF'
Templates have been renamed to follow Nagios 3.0 naming.

They have been recovered by rpm trigger, but if you want to use new style
naming these commands might help you out quickly:

# grep -r host-notify-by- /etc/nagios -l | xargs sed -i -e 's,host-notify-by-,notify-host-by-,g'
# grep -r notify-by- /etc/nagios -l | xargs sed -i -e 's,notify-by-,notify-service-by-,g'

EOF

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{_sysconfdir}/templates
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/templates/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/plugins/%{name}.cfg
%attr(755,root,root) %{_sbindir}/nagios-notify
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-notify.git;a=log;h=master

* Fri Dec 14 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> c0301ee
- Version: 0.14

* Wed Mar 10 2010 Elan Ruusamäe <glen@pld-linux.org> e6936a9
- sendmail is optional; rel 3

* Wed Sep 09 2009 Elan Ruusamäe <glen@pld-linux.org> 850dbcf
- sendmail dep; suggests; rel 2

* Tue Jul 28 2009 Elan Ruusamäe <glen@pld-linux.org> 5c6bd31
- Version 0.13: Nagios 3.1 compat.

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b0c894
- drop obsolete files

* Mon Nov 03 2008 Elan Ruusamäe <glen@pld-linux.org> eb8330a
- package ChangeLog

* Mon Nov 03 2008 Elan Ruusamäe <glen@pld-linux.org> e945e4c
- fix md5

* Mon Nov 03 2008 Elan Ruusamäe <glen@pld-linux.org> 7c82f45
- sample commands for upgrade

* Mon Nov 03 2008 Elan Ruusamäe <glen@pld-linux.org> b8ffe2b
- update to 0.12
- NOTE: templates have been renamed (trigger handles smooth upgrade)

* Sat Oct 11 2008 Elan Ruusamäe <glen@pld-linux.org> 1f13425
- 0.11: added $(encode_mime_header:CHARSET,DATA) handler

* Fri Jul 11 2008 Elan Ruusamäe <glen@pld-linux.org> e5fc242
- reload nagios if it's plugin configuration was changed; rel 3

* Thu Jul 10 2008 Elan Ruusamäe <glen@pld-linux.org> 59e8436
- no global replace in trigger (avoids matching nagios-notify-jabber); rel 2

* Fri May 30 2008 Elan Ruusamäe <glen@pld-linux.org> 8c22d59
- no longer uses sed

* Fri May 30 2008 Jakub Bogusz <qboosh@pld-linux.org> 0fa8160
- updated pl

* Fri May 30 2008 Elan Ruusamäe <glen@pld-linux.org> f4a3b59
- some propaganda

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 09ceb5b
- update to 0.10, tool moved to /usr/lib/nagios

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 35a83e4
- configure like variable test ;)

* Tue Apr 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c82529
- better check (thanks Qrczak)

* Tue Apr 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7160b2a
- set NAGIOS_STATUSDATAFILE to known value if nagios doesn't pass us this file path

* Tue Apr 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 05e13c5
- rel 2; NAGIOS_STATUSDATAFILE is empty here

